Subject: bug#9463: 24.0.50; Errors should not be continuable

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Sep 2011 10:10:49 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Thu, 08 Sep 2011 22:23:09 -0400
> Cc: [email-masked]
> 
> > I think the "do what would have happened if the debugger had not been
> > called" thing should be a different command, like resignal or abort.
> 
> Why?  When the debugger is called in a non-error case, the "c" does just
> that "do whatever would have happened if the debug call had no taken place".
> 
> > c should only continue from truly continuable situations, like
> > breakpoints.
> 
> Again: why?

I agree with Stefan.  The current operation of `c' is consistent with
what other debuggers do in this situation.  For example, when GDB
catches a fatal signal, typing `c' will simply let the program
continue with the signal, which may mean it will crash.